-- Server-side script
RegisterCommand("SetAOP", function(source, args)
  local newaop = table.concat(args, " ")
  TriggerClientEvent("UpdateAOP", -1, newaop)
end, true)

TriggerEvent("chat:addSuggestion", "SetAOP", "Set the Servers Current AOP (Admin Only)", {
  { name="AOP", help="The area to set AOP as (ex. \"City\")"}
})

-- Server-side script
RegisterCommand("ClearAOP", function(source)
  TriggerClientEvent("UpdateAOP", -1, nil)
end, true)

TriggerEvent("chat:addSuggestion", "ClearAOP", "Clears the Servers Current AOP (Admin Only)")

RegisterNetEvent("updateData")
AddEventHandler("updateData", function(aop)
  local extract = {} -- Initialize extract
  if Config.DoSaves then
    -- Load the file and decode JSON
    local loadFile = LoadResourceFile(GetCurrentResourceName(), "saves.json")
    if loadFile then
      extract = json.decode(loadFile)
    end
    extract.CURRENT_AOP = aop
    SaveResourceFile(GetCurrentResourceName(), "saves.json", json.encode(extract), -1)
  end
end)